Show / Hide Table of Contents

# Interface ICertificateCache

###### Namespace: Titanium.Web.Proxy.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface ICertificateCache

### Methods

| Improve this Doc View Source

#### Clear()

Clears the storage.

##### Declaration

    void Clear()

| Improve this Doc View Source

#### LoadCertificate(String, X509KeyStorageFlags)

Loads certificate from the storage. Returns true if certificate does not exist.

##### Declaration

    X509Certificate2 LoadCertificate(string subjectName, X509KeyStorageFlags storageFlags)

##### Parameters

Type | Name | Description
--- | --- | ---
String | subjectName |
X509KeyStorageFlags | storageFlags |

##### Returns

Type | Description
--- | ---
X509Certificate2 |

| Improve this Doc View Source

#### LoadRootCertificate(String, String, X509KeyStorageFlags)

Loads the root certificate from the storage.

##### Declaration

    X509Certificate2 LoadRootCertificate(string pathOrName, string password, X509KeyStorageFlags storageFlags)

##### Parameters

Type | Name | Description
--- | --- | ---
String | pathOrName |
String | password |
X509KeyStorageFlags | storageFlags |

##### Returns

Type | Description
--- | ---
X509Certificate2 |

| Improve this Doc View Source

#### SaveCertificate(String, X509Certificate2)

Stores certificate into the storage.

##### Declaration

    void SaveCertificate(string subjectName, X509Certificate2 certificate)

##### Parameters

Type | Name | Description
--- | --- | ---
String | subjectName |
X509Certificate2 | certificate |

| Improve this Doc View Source

#### SaveRootCertificate(String, String, X509Certificate2)

Saves the root certificate to the storage.

##### Declaration

    void SaveRootCertificate(string pathOrName, string password, X509Certificate2 certificate)

##### Parameters

Type | Name | Description
--- | --- | ---
String | pathOrName |
String | password |
X509Certificate2 | certificate |